function indiceFinanceiro () {
    const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
    const geral = new Helper.geral();
    const protractorHelper = require('protractor-helper');

    this.abrir = ()=> {
        z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Financeiro', 'Índice Financeiro']);
		geral.esperarLoading();
        geral.clickAplicarFiltro();
    };
    // Override funçao Zeedhi, pois não funciona para 'Indice Financeiro'

    this.adicionar = (sigla, nome, percentual, tipoDeIndice,) => {
    geral.clickAndFllField('SGINDICE', sigla);
    geral.clickAndFllField('NMINDICE', nome);
    geral.selectNative('IDPERVALOR', percentual);
    geral.selectNative('CDTPINDICE', tipoDeIndice);
    };
    this.editar = (nome) => {
    geral.fillField('NMINDICE', nome);
    };
}
module.exports = new indiceFinanceiro();
